<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>SE Code of Ethics</title>
	<p><em><font size="+2">Science and Engineering Ethics (2001) 7, 231-238</font></em></p>
	<hr>
</head>
<body>

	<h1><strong>Software Engineering Code of Ethics and Professional Practice</strong></h1>


	<h2><strong>IEEE-CS/ACM Joint Task Force on Software Engineering and Professional Practices</strong></h2>
	<hr>
	<p><strong>Keywords:</strong> code of etics, professional responsibility, software engineering</p>
<br>
<br>
	<strong>PREAMBLE</strong>
<br>
<br>
<p>The short version of the code summarizes aspirations at a high level absttraction. The clauses that are included in the full version give examples and details of how these inspirations change the way we acct as software engineering professionals.Without aspirations, the detail can become legalistic and tedious; without details the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
<br>
<br>
Software engineers shall commit themsleves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
<br>
<strong>PRINCIPLES</strong>
<br>
<ol>
	
	<li><em>Public.</em> Software engineers shall act consistently with the public interest</li>
	<li><em>Client and Employer.</em> Software engineers shall act in a manner that is int the best Intterest of theor client and employer, consistent with the public interest.</li>
	<li><em>Product.</em> Software enginees shall ensure that their product and related modifications meet the highest professional standards possible</li>
	<li><em>Judgement.</em> Software Engineers shall maintain integrity and independence in their professional judgement</li>
	<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
	<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
	<li><em>Colleagues.</em> Software Engineers shall be fair to and supportive of their colleagues.</li>
	<li><em>Self.</em> Software engineers sha participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>

</ol>








</body>
</html>